## org.apache.http.params
Class HttpProtocolParamBean

    java.lang.Object
      org.apache.http.params.HttpAbstractParamBean
          org.apache.http.params.HttpProtocolParamBean

    public class HttpProtocolParamBean

extends HttpAbstractParamBean

This is a Java Bean class that can be used to wrap an instance of `HttpParams` and manipulate HTTP protocol parameters using Java Beans conventions.

Since:
  4.0

Field Summary

Fields inherited from class org.apache.http.params.HttpAbstractParamBean
`params`

Constructor Summary
`HttpProtocolParamBean(HttpParams params)`

Method Summary
`void` `setContentCharset(String contentCharset)`
`void` `setHttpElementCharset(String httpElementCharset)`
`void` `setUseExpectContinue(boolean useExpectContinue)`
`void` `setUserAgent(String userAgent)`
`void` `setVersion(HttpVersion version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpProtocolParamBean

    public HttpProtocolParamBean(HttpParams params)

Method Detail

### setHttpElementCharset

    public void setHttpElementCharset(String httpElementCharset)

### setContentCharset

    public void setContentCharset(String contentCharset)

### setVersion

    public void setVersion(HttpVersion version)

### setUserAgent

    public void setUserAgent(String userAgent)

### setUseExpectContinue

    public void setUseExpectContinue(boolean useExpectContinue)

Copyright © 2005-2013 The Apache Software Foundation. All Rights Reserved.